# Replace presenting problem link

Fully replaces an existing Presenting Problem Link. All fields must be provided.

Endpoint: PUT /site/{siteId}/ahds/v1/presenting-problem-link/{presentingProblemLinkId}
Version: 1.0
Security: bearer

## Security:

  - `bearer` (unknown)
    http bearer JWT

## Path parameters:

  - `siteId` (number, required)
    Site identifier

  - `presentingProblemLinkId` (string, required)
    Presenting Problem Link unique identifier (UUID)

## Request fields (application/json):

  - `consultId` (string, required)
    Identifier of the consult associated with this link.
    Example: 123e4567-e89b-12d3-a456-426614174000

  - `extensions` (object, required)
    Vendor- or practice-specific extensions.

  - `isActive` (boolean, required)
    Indicates whether this link is currently active.
    Example: true

  - `presentingProblemId` (string, required)
    Identifier of the presenting problem associated with this link.
    Example: 123e4567-e89b-12d3-a456-426614174000

## Response 200:

  - `200` (unknown)
    Presenting Problem Link replaced successfully

## Response 200 fields (application/json):

  - `consultId` (string, required)
    Identifier of the consult associated with this link.
    Example: 123e4567-e89b-12d3-a456-426614174000

  - `createdAt` (string, required)
    Timestamp when this link was created.
    Example: 2025-01-01T00:00:00.000Z

  - `extensions` (object, required)
    Vendor- or practice-specific extensions.

  - `isActive` (boolean, required)
    Indicates whether this link is currently active.
    Example: true

  - `presentingProblemId` (string, required)
    Identifier of the presenting problem associated with this link.
    Example: 123e4567-e89b-12d3-a456-426614174000

  - `presentingProblemLinkId` (string, required)
    Unique identifier for this presenting problem link.
    Example: 123e4567-e89b-12d3-a456-426614174000

  - `updatedAt` (string, required)
    Timestamp when this link was last modified.
    Example: 2025-01-01T00:00:00.000Z

## Response 400:

  - `400` (unknown)
    Invalid request body

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 404:

  - `404` (unknown)
    Presenting Problem Link not found

